<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>GenericVisitor xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment">  */</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_comment"> * Copyright (C) 2007-2010 Júlio Vilmar Gesser.</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_comment"> * Copyright (C) 2011, 2013-2015 The JavaParser Team.</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment"> * This file is part of JavaParser.</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> * </em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment"> * JavaParser can be used either under the terms of</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_comment"> * a) the GNU Lesser General Public License as published by</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_comment"> *     the Free Software Foundation, either version 3 of the License, or</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_comment"> *     (at your option) any later version.</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment"> * b) the terms of the Apache License </em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_comment"> * You should have received a copy of both licenses in LICENCE.LGPL and</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_comment"> * LICENCE.APACHE. Please refer to those files for details.</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_comment"> * JavaParser is distributed in the hope that it will be useful,</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_comment"> * GNU Lesser General Public License for more details.</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.BlockComment;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.CompilationUnit;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.ImportDeclaration;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.LineComment;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.PackageDeclaration;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.TypeParameter;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.AnnotationDeclaration;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.AnnotationMemberDeclaration;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.ClassOrInterfaceDeclaration;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.ConstructorDeclaration;
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.EmptyMemberDeclaration;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.EmptyTypeDeclaration;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.EnumConstantDeclaration;
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.EnumDeclaration;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.FieldDeclaration;
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.InitializerDeclaration;
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.JavadocComment;
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.MethodDeclaration;
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.MultiTypeParameter;
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.Parameter;
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.VariableDeclarator;
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body.VariableDeclaratorId;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.*;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.AssertStmt;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt;
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BreakStmt;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.CatchClause;
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ContinueStmt;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.DoStmt;
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.EmptyStmt;
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ExplicitConstructorInvocationStmt;
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ExpressionStmt;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ForStmt;
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ForeachStmt;
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.IfStmt;
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.LabeledStmt;
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ReturnStmt;
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.SwitchEntryStmt;
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.SwitchStmt;
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.SynchronizedStmt;
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.ThrowStmt;
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.TryStmt;
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.TypeDeclarationStmt;
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.WhileStmt;
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.type.*;
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  <em class="jxr_javadoccomment"> * A visitor that has a return value.</em>
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment"> * @author Julio Vilmar Gesser</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">interface</strong> GenericVisitor&lt;R, A&gt; {
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  	<em class="jxr_comment">//- Compilation Unit ----------------------------------</em>
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/CompilationUnit.html">CompilationUnit</a> n, A arg);
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html">PackageDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/ImportDeclaration.html">ImportDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypeParameter.html">TypeParameter</a> n, A arg);
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/LineComment.html">LineComment</a> n, A arg);
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/BlockComment.html">BlockComment</a> n, A arg);
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  	<em class="jxr_comment">//- Body ----------------------------------------------</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 
<a class="jxr_linenumber" name="L101" href="#L101">101</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ClassOrInterfaceDeclaration.html">ClassOrInterfaceDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EnumDeclaration.html">EnumDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EmptyTypeDeclaration.html">EmptyTypeDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 
<a class="jxr_linenumber" name="L107" href="#L107">107</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EnumConstantDeclaration.html">EnumConstantDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L108" href="#L108">108</a> 
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationDeclaration.html">AnnotationDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L110" href="#L110">110</a> 
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/AnnotationMemberDeclaration.html">AnnotationMemberDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/FieldDeclaration.html">FieldDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclarator.html">VariableDeclarator</a> n, A arg);
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/VariableDeclaratorId.html">VariableDeclaratorId</a> n, A arg);
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L120" href="#L120">120</a> 
<a class="jxr_linenumber" name="L121" href="#L121">121</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html">MethodDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L122" href="#L122">122</a> 
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html">Parameter</a> n, A arg);
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 	
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MultiTypeParameter.html">MultiTypeParameter</a> n, A arg);
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/EmptyMemberDeclaration.html">EmptyMemberDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/InitializerDeclaration.html">InitializerDeclaration</a> n, A arg);
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> n, A arg);
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 	<em class="jxr_comment">//- Type ----------------------------------------------</em>
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ClassOrInterfaceType.html">ClassOrInterfaceType</a> n, A arg);
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/PrimitiveType.html">PrimitiveType</a> n, A arg);
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/ReferenceType.html">ReferenceType</a> n, A arg);
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 
<a class="jxr_linenumber" name="L141" href="#L141">141</a>     <strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/IntersectionType.html">IntersectionType</a> n, A arg);
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 
<a class="jxr_linenumber" name="L143" href="#L143">143</a>     <strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnionType.html">UnionType</a> n, A arg);
<a class="jxr_linenumber" name="L144" href="#L144">144</a> 
<a class="jxr_linenumber" name="L145" href="#L145">145</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/VoidType.html">VoidType</a> n, A arg);
<a class="jxr_linenumber" name="L146" href="#L146">146</a> 
<a class="jxr_linenumber" name="L147" href="#L147">147</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/WildcardType.html">WildcardType</a> n, A arg);
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/type/UnknownType.html">UnknownType</a> n, A arg);
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 	<em class="jxr_comment">//- Expression ----------------------------------------</em>
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ArrayAccessExpr.html">ArrayAccessExpr</a> n, A arg);
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ArrayCreationExpr.html">ArrayCreationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ArrayInitializerExpr.html">ArrayInitializerExpr</a> n, A arg);
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 
<a class="jxr_linenumber" name="L159" href="#L159">159</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AssignExpr.html">AssignExpr</a> n, A arg);
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/BinaryExpr.html">BinaryExpr</a> n, A arg);
<a class="jxr_linenumber" name="L162" href="#L162">162</a> 
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/CastExpr.html">CastExpr</a> n, A arg);
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ClassExpr.html">ClassExpr</a> n, A arg);
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ConditionalExpr.html">ConditionalExpr</a> n, A arg);
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/EnclosedExpr.html">EnclosedExpr</a> n, A arg);
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/FieldAccessExpr.html">FieldAccessExpr</a> n, A arg);
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/InstanceOfExpr.html">InstanceOfExpr</a> n, A arg);
<a class="jxr_linenumber" name="L174" href="#L174">174</a> 
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/StringLiteralExpr.html">StringLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L176" href="#L176">176</a> 
<a class="jxr_linenumber" name="L177" href="#L177">177</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/IntegerLiteralExpr.html">IntegerLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/LongLiteralExpr.html">LongLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/IntegerLiteralMinValueExpr.html">IntegerLiteralMinValueExpr</a> n, A arg);
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/LongLiteralMinValueExpr.html">LongLiteralMinValueExpr</a> n, A arg);
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/CharLiteralExpr.html">CharLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/DoubleLiteralExpr.html">DoubleLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 
<a class="jxr_linenumber" name="L189" href="#L189">189</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/BooleanLiteralExpr.html">BooleanLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L190" href="#L190">190</a> 
<a class="jxr_linenumber" name="L191" href="#L191">191</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NullLiteralExpr.html">NullLiteralExpr</a> n, A arg);
<a class="jxr_linenumber" name="L192" href="#L192">192</a> 
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodCallExpr.html">MethodCallExpr</a> n, A arg);
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html">NameExpr</a> n, A arg);
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ObjectCreationExpr.html">ObjectCreationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html">QualifiedNameExpr</a> n, A arg);
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/ThisExpr.html">ThisExpr</a> n, A arg);
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 
<a class="jxr_linenumber" name="L203" href="#L203">203</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/SuperExpr.html">SuperExpr</a> n, A arg);
<a class="jxr_linenumber" name="L204" href="#L204">204</a> 
<a class="jxr_linenumber" name="L205" href="#L205">205</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/UnaryExpr.html">UnaryExpr</a> n, A arg);
<a class="jxr_linenumber" name="L206" href="#L206">206</a> 
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/VariableDeclarationExpr.html">VariableDeclarationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MarkerAnnotationExpr.html">MarkerAnnotationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/SingleMemberAnnotationExpr.html">SingleMemberAnnotationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NormalAnnotationExpr.html">NormalAnnotationExpr</a> n, A arg);
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MemberValuePair.html">MemberValuePair</a> n, A arg);
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 
<a class="jxr_linenumber" name="L217" href="#L217">217</a> 	<em class="jxr_comment">//- Statements ----------------------------------------</em>
<a class="jxr_linenumber" name="L218" href="#L218">218</a> 
<a class="jxr_linenumber" name="L219" href="#L219">219</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ExplicitConstructorInvocationStmt.html">ExplicitConstructorInvocationStmt</a> n, A arg);
<a class="jxr_linenumber" name="L220" href="#L220">220</a> 
<a class="jxr_linenumber" name="L221" href="#L221">221</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/TypeDeclarationStmt.html">TypeDeclarationStmt</a> n, A arg);
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 
<a class="jxr_linenumber" name="L223" href="#L223">223</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/AssertStmt.html">AssertStmt</a> n, A arg);
<a class="jxr_linenumber" name="L224" href="#L224">224</a> 
<a class="jxr_linenumber" name="L225" href="#L225">225</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> n, A arg);
<a class="jxr_linenumber" name="L226" href="#L226">226</a> 
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/LabeledStmt.html">LabeledStmt</a> n, A arg);
<a class="jxr_linenumber" name="L228" href="#L228">228</a> 
<a class="jxr_linenumber" name="L229" href="#L229">229</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/EmptyStmt.html">EmptyStmt</a> n, A arg);
<a class="jxr_linenumber" name="L230" href="#L230">230</a> 
<a class="jxr_linenumber" name="L231" href="#L231">231</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ExpressionStmt.html">ExpressionStmt</a> n, A arg);
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 
<a class="jxr_linenumber" name="L233" href="#L233">233</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/SwitchStmt.html">SwitchStmt</a> n, A arg);
<a class="jxr_linenumber" name="L234" href="#L234">234</a> 
<a class="jxr_linenumber" name="L235" href="#L235">235</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/SwitchEntryStmt.html">SwitchEntryStmt</a> n, A arg);
<a class="jxr_linenumber" name="L236" href="#L236">236</a> 
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BreakStmt.html">BreakStmt</a> n, A arg);
<a class="jxr_linenumber" name="L238" href="#L238">238</a> 
<a class="jxr_linenumber" name="L239" href="#L239">239</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ReturnStmt.html">ReturnStmt</a> n, A arg);
<a class="jxr_linenumber" name="L240" href="#L240">240</a> 
<a class="jxr_linenumber" name="L241" href="#L241">241</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/IfStmt.html">IfStmt</a> n, A arg);
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 
<a class="jxr_linenumber" name="L243" href="#L243">243</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/WhileStmt.html">WhileStmt</a> n, A arg);
<a class="jxr_linenumber" name="L244" href="#L244">244</a> 
<a class="jxr_linenumber" name="L245" href="#L245">245</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ContinueStmt.html">ContinueStmt</a> n, A arg);
<a class="jxr_linenumber" name="L246" href="#L246">246</a> 
<a class="jxr_linenumber" name="L247" href="#L247">247</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/DoStmt.html">DoStmt</a> n, A arg);
<a class="jxr_linenumber" name="L248" href="#L248">248</a> 
<a class="jxr_linenumber" name="L249" href="#L249">249</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ForeachStmt.html">ForeachStmt</a> n, A arg);
<a class="jxr_linenumber" name="L250" href="#L250">250</a> 
<a class="jxr_linenumber" name="L251" href="#L251">251</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ForStmt.html">ForStmt</a> n, A arg);
<a class="jxr_linenumber" name="L252" href="#L252">252</a> 
<a class="jxr_linenumber" name="L253" href="#L253">253</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/ThrowStmt.html">ThrowStmt</a> n, A arg);
<a class="jxr_linenumber" name="L254" href="#L254">254</a> 
<a class="jxr_linenumber" name="L255" href="#L255">255</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/SynchronizedStmt.html">SynchronizedStmt</a> n, A arg);
<a class="jxr_linenumber" name="L256" href="#L256">256</a> 
<a class="jxr_linenumber" name="L257" href="#L257">257</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/TryStmt.html">TryStmt</a> n, A arg);
<a class="jxr_linenumber" name="L258" href="#L258">258</a> 
<a class="jxr_linenumber" name="L259" href="#L259">259</a> 	<strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/CatchClause.html">CatchClause</a> n, A arg);
<a class="jxr_linenumber" name="L260" href="#L260">260</a> 
<a class="jxr_linenumber" name="L261" href="#L261">261</a>     <strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/LambdaExpr.html">LambdaExpr</a> n, A arg);
<a class="jxr_linenumber" name="L262" href="#L262">262</a> 
<a class="jxr_linenumber" name="L263" href="#L263">263</a>     <strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodReferenceExpr.html">MethodReferenceExpr</a> n, A arg);
<a class="jxr_linenumber" name="L264" href="#L264">264</a> 
<a class="jxr_linenumber" name="L265" href="#L265">265</a>     <strong class="jxr_keyword">public</strong> R visit(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/TypeExpr.html">TypeExpr</a> n, A arg);
<a class="jxr_linenumber" name="L266" href="#L266">266</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
